//
// Created by IgorBat on 23.04.2018.
//
#pragma once
#include <cassert>
#include "spells/selfhealspell.h"
#include "units/unit.h"
#include "cell.h"
#include <string>


void SelfHealSpell::CastSpell(Cell* from, Cell* where, Unit* who, Unit* whom){
    effects_[0] -> OperateOnUnit(who);
}

bool SelfHealSpell::canCastToCell(Cell* destination, Cell* from){
    return isNeirbor(destination, from);
}
